Custom Fields
Update product custom field
Updates a custom field definition for products. Requires crm:write scope.
PATCH
/
products
/
custom-fields
/
{id}
Update Product Custom Field
curl --request PATCH \
--url https://crm-api.automatebusiness.com/api/v1/integrations-public/products/custom-fields/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"field_name": "Alliance Tier",
"options": [
"Registered",
"Certified",
"Premier",
"Elite"
],
"is_required": true
}
'import requests
url = "https://crm-api.automatebusiness.com/api/v1/integrations-public/products/custom-fields/{id}"
payload = {
"field_name": "Alliance Tier",
"options": ["Registered", "Certified", "Premier", "Elite"],
"is_required": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
field_name: 'Alliance Tier',
options: ['Registered', 'Certified', 'Premier', 'Elite'],
is_required: true
})
};
fetch('https://crm-api.automatebusiness.com/api/v1/integrations-public/products/custom-fields/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://crm-api.automatebusiness.com/api/v1/integrations-public/products/custom-fields/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'field_name' => 'Alliance Tier',
'options' => [
'Registered',
'Certified',
'Premier',
'Elite'
],
'is_required' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://crm-api.automatebusiness.com/api/v1/integrations-public/products/custom-fields/{id}"
payload := strings.NewReader("{\n \"field_name\": \"Alliance Tier\",\n \"options\": [\n \"Registered\",\n \"Certified\",\n \"Premier\",\n \"Elite\"\n ],\n \"is_required\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://crm-api.automatebusiness.com/api/v1/integrations-public/products/custom-fields/{id}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"field_name\": \"Alliance Tier\",\n \"options\": [\n \"Registered\",\n \"Certified\",\n \"Premier\",\n \"Elite\"\n ],\n \"is_required\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://crm-api.automatebusiness.com/api/v1/integrations-public/products/custom-fields/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"field_name\": \"Alliance Tier\",\n \"options\": [\n \"Registered\",\n \"Certified\",\n \"Premier\",\n \"Elite\"\n ],\n \"is_required\": true\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "cf_55102a",
"entity_type": "lead",
"field_name": "Expected Close Date",
"field_key": "expected_close_date",
"field_type": "date",
"options": [
"Bronze",
"Silver",
"Gold",
"Platinum"
],
"is_required": false,
"created_at": "2026-10-26T06:00:00.000Z",
"updated_at": "2026-10-26T06:00:00.000Z"
},
"error": null
}{
"success": false,
"data": null,
"error": {
"message": "Validation failed",
"details": [
{
"message": "Required",
"field": "email",
"code": "invalid_type"
}
]
}
}{
"success": false,
"data": null,
"error": {
"message": "Invalid or missing API key."
}
}{
"success": false,
"data": null,
"error": {
"message": "Forbidden: insufficient permissions for this operation."
}
}{
"success": false,
"data": null,
"error": {
"message": "Resource not found"
}
}Updates an existing custom field definition for catalog products.
Path parameters
id(string, required): The unique identifier of the custom field definition.
Required permissions
Requires an API key with thecrm:write scope.Authorizations
Workspace API key header. The key implicitly determines your workspace isolation. Scopes: crm:read for GET/HEAD/OPTIONS, crm:write for POST/PATCH/PUT/DELETE.
Path Parameters
The unique identifier of the custom field
Body
application/json
⌘I
Update Product Custom Field
curl --request PATCH \
--url https://crm-api.automatebusiness.com/api/v1/integrations-public/products/custom-fields/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"field_name": "Alliance Tier",
"options": [
"Registered",
"Certified",
"Premier",
"Elite"
],
"is_required": true
}
'import requests
url = "https://crm-api.automatebusiness.com/api/v1/integrations-public/products/custom-fields/{id}"
payload = {
"field_name": "Alliance Tier",
"options": ["Registered", "Certified", "Premier", "Elite"],
"is_required": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
field_name: 'Alliance Tier',
options: ['Registered', 'Certified', 'Premier', 'Elite'],
is_required: true
})
};
fetch('https://crm-api.automatebusiness.com/api/v1/integrations-public/products/custom-fields/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://crm-api.automatebusiness.com/api/v1/integrations-public/products/custom-fields/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'field_name' => 'Alliance Tier',
'options' => [
'Registered',
'Certified',
'Premier',
'Elite'
],
'is_required' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://crm-api.automatebusiness.com/api/v1/integrations-public/products/custom-fields/{id}"
payload := strings.NewReader("{\n \"field_name\": \"Alliance Tier\",\n \"options\": [\n \"Registered\",\n \"Certified\",\n \"Premier\",\n \"Elite\"\n ],\n \"is_required\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://crm-api.automatebusiness.com/api/v1/integrations-public/products/custom-fields/{id}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"field_name\": \"Alliance Tier\",\n \"options\": [\n \"Registered\",\n \"Certified\",\n \"Premier\",\n \"Elite\"\n ],\n \"is_required\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://crm-api.automatebusiness.com/api/v1/integrations-public/products/custom-fields/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"field_name\": \"Alliance Tier\",\n \"options\": [\n \"Registered\",\n \"Certified\",\n \"Premier\",\n \"Elite\"\n ],\n \"is_required\": true\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "cf_55102a",
"entity_type": "lead",
"field_name": "Expected Close Date",
"field_key": "expected_close_date",
"field_type": "date",
"options": [
"Bronze",
"Silver",
"Gold",
"Platinum"
],
"is_required": false,
"created_at": "2026-10-26T06:00:00.000Z",
"updated_at": "2026-10-26T06:00:00.000Z"
},
"error": null
}{
"success": false,
"data": null,
"error": {
"message": "Validation failed",
"details": [
{
"message": "Required",
"field": "email",
"code": "invalid_type"
}
]
}
}{
"success": false,
"data": null,
"error": {
"message": "Invalid or missing API key."
}
}{
"success": false,
"data": null,
"error": {
"message": "Forbidden: insufficient permissions for this operation."
}
}{
"success": false,
"data": null,
"error": {
"message": "Resource not found"
}
}